## GstControlSource GstControlSource |

## Functions

gboolean | (*GstControlSourceGetValue) ()
gboolean | (*GstControlSourceGetValueArray) ()
gboolean | gst_control_source_get_value ()
gboolean | gst_control_source_get_value_array ()

## Types and Values

| GstValueArray
struct | GstControlSource
struct | GstControlSourceClass
struct | GstTimedValue

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstControlSource

## Includes

    #include <gst/gst.h>

## Description

## Functions

### GstControlSourceGetValue ()

    gboolean
    (*GstControlSourceGetValue) (GstControlSource *self,
                                 GstClockTime timestamp,
                                 gdouble *value);

### GstControlSourceGetValueArray ()

    gboolean
    (*GstControlSourceGetValueArray) (GstControlSource *self,
                                      GstClockTime timestamp,
                                      GstClockTime interval,
                                      guint n_values,
                                      gdouble *values);

### gst_control_source_get_value ()

    gboolean
    gst_control_source_get_value (GstControlSource *self,
                                  GstClockTime timestamp,
                                  gdouble *value);

### gst_control_source_get_value_array ()

    gboolean
    gst_control_source_get_value_array (GstControlSource *self,
                                        GstClockTime timestamp,
                                        GstClockTime interval,
                                        guint n_values,
                                        gdouble *values);

## Types and Values

### GstValueArray

    typedef struct _GstValueArray GstValueArray;

### struct GstControlSource

    struct GstControlSource {
      GstControlSourceGetValue get_value;             /* Returns the value for a property at a given timestamp */
      GstControlSourceGetValueArray get_value_array;  /* Returns values for a property in a given timespan */
    };

### struct GstControlSourceClass

    struct GstControlSourceClass {
      GstObjectClass parent_class;
    };

### struct GstTimedValue

    struct GstTimedValue {
      GstClockTime timestamp;
      gdouble      value;
    };